package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.PelayananPasienVO;

public interface PelayananPasienService {

	Map<String, Object> savePelayananPasien(PelayananPasienVO vo);

	Map<String, Object> deletePelayanan(List<Map<String, Object>> listVO);

	Map<String, Object> findTindakanPasienMeninggal(Integer noCm);

	List<Map<String, Object>> hitungRemunerasiDokterDenganFfs(String tglAwal, String tglAkhir);

	List<String> updateKlaimDiskon(String noRegistrasi, Double totalKlaim, Integer jenisDiskon);
	
	String resetKlaimDiskon(String noRegistrasi);

}
